package com.zhangmeng.online.exam.ui.components.callBack;

import com.zhangmeng.online.exam.ui.utils.ApiUtils;
import javafx.beans.property.SimpleStringProperty;
import javafx.collections.ObservableList;

import java.util.Map;

/**
 * @author zm
 * @date 2025/4/17 16:50
 * @version: 1.0
 */
public interface SendPaperComponentCallBack {
    ApiUtils.DataView loadPaperData(int pageNum, int pageSize);

    ApiUtils.DataView searchPaperData(String searchText, int currentPage, int pageSize);

    ApiUtils.DataView loadChoosePaperData(Map<String, Object> context, int pageNum, int pageSize);

    void commitChoosePaper(Map<String, Object> context, ObservableList<Map<String, SimpleStringProperty>> chooseTableData);

}
